1 Reply Latest reply: Apr 28, 2013 12:21 PM by AnaMusic
buddycal86 Level 1 Level 1 (0 points)

Just bought a new iPod - says I need itunes 10.7 - downloaded it, now says I need to update my OS software.  I go to update my OS software and it says I'm up to date - any advice?


iPod nano (6th generation), Mac OS X (10.5.8)